NSX-T Data Center REST API

Patch infra segment port security profile binding map

Create a new port security profile binding map if the given security profile
binding map does not exist. Otherwise, patch the existing port security
profile binding map.
For objects with no binding maps, default profile is applied.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/segments/{segment-id}/ports/{port-id}/port-security-profile-binding-maps/{port-security-profile-binding-map-id}
/policy/api/v1/global-infra/segments/{segment-id}/ports/{port-id}/port-security-profile-binding-maps/{port-security-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/segments/{segment-id}/ports/{port-id}/port-security-profile-binding-maps/{port-security-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
PortSecurityProfileBindingMap+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/segments/segment_1/ports/port_1/port-security-profile-binding-maps/port_security_binding_map_1 { "spoofguard_profile_path": "/infra/spoofguard-profiles/spoofguard_1", "segment_security_profile_path": "/infra/segment-security-profiles/segment_security_1" }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: